For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETShared Channel Detail
      • GETDetail
      • PATCHUpdate
      • POSTCreate Websocket Ticket
      • POSTReport
LogoLogo
BlogLogin
API Referencechannels

List

GET
https://api.flockx.io/api/v1/channels
GET
/api/v1/channels
$curl https://api.flockx.io/api/v1/channels \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "id": "foo",
5 "type": "websocket",
6 "channel_type": "chat",
7 "name": "foo",
8 "participants": [
9 {
10 "type": "foo",
11 "user_id": "foo",
12 "id": "foo",
13 "display_name": "foo",
14 "image_url": "foo",
15 "is_owner": true
16 }
17 ],
18 "created_at": "foo",
19 "modified": "foo",
20 "meta_data": {},
21 "source": "flockx",
22 "agent_invocation_behavior": "at_mentions_only",
23 "parent_channel_id": "foo",
24 "origin_message_id": "foo"
25 }
26 ],
27 "meta": {
28 "total": 42,
29 "has_next": true,
30 "has_previous": true,
31 "page": 42
32 }
33}
List, search, and filter for channels in which your organization is a participant.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
agentstring or nullOptionalformat: "uuid"
Filter channels where this agent is a participant
is_ownerboolean or nullOptional
Filter channels where the organization for the user making the request is the owner
is_multi_orgboolean or nullOptional

Filter channels by multi-org status. True = only multi-org channels, False = exclude multi-org channels, None = all channels

channel_typelist of enums or enum or nullOptional
Filter channels by type. Can be a single type or list of types.
communication_typeenum or nullOptional
Filter channels by type of communication
Allowed values:
sourceenum or nullOptional
Filter channels by source
Allowed values:
participant_agentslist of strings or nullOptional
Filter channels that include these agent participants
participant_userslist of strings or nullOptional
Filter channels that include these user participants
is_pinnedboolean or nullOptional

Filter channels by pinned status. True = only pinned channels, False = exclude pinned channels, None = all channels

namestring or nullOptional

Filter channels by name (case-insensitive partial match)

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error